Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.experiment
Class ExperimenterDefaults

    java.lang.Object
      weka.gui.experiment.ExperimenterDefaults

All Implemented Interfaces:
  java.io.Serializable

    public class ExperimenterDefaults

extends java.lang.Object
implements java.io.Serializable

This class offers get methods for the default Experimenter settings in the props file `weka.gui.experiment.Experimenter.props`.

Version:
  $Revision: 1.1.2.3 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  `PROPERTY_FILE`, Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_FILE` The name of the properties file

Constructor Summary
`ExperimenterDefaults()`

Method Summary
`static java.lang.String` | `get(java.lang.String property, java.lang.String defaultValue)` returns the value for the specified property, if non-existent then the default value.
`static java.lang.String` | `getColumn()` the comma-separated list of attribute names that identify a column
`static java.lang.String` | `getComparisonField()` returns the name of the field used for comparison
`static boolean` | `getDatasetsFirst()` whether datasets or algorithms are iterated first
`static java.lang.String` | `getDestination()` returns the default destination
`static java.lang.String` | `getExperimentType()` returns the default experiment type
`static java.lang.String` | `getExtension()` returns the default experiment extension
`static int` | `getFolds()` returns the number of folds used for cross-validation
`static java.io.File` | `getInitialDatasetsDirectory()` returns the initial directory for the datasets (if empty, it returns the user's home directory)
`static int` | `getMeanPrecision()` returns the default precision for the mean
`static java.util.Properties` | `getProperties()` returns the associated properties file
`static int` | `getRepetitions()` returns the number of repetitions to use
`static java.lang.String` | `getRow()` the comma-separated list of attribute names that identify a row
`static boolean` | `getShowStdDevs()` returns whether StdDevs are shown by default
`static double` | `getSignificance()` returns the default significance
`static int` | `getStdDevPrecision()` returns the default precision for the stddevs
`static double` | `getTrainPercentage()` returns the training percentage in case of splits
`static boolean` | `getUseClassification()` whether classification or regression is used
`static boolean` | `getUseRelativePaths()` whether relative paths are used by default

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_FILE

    public static final java.lang.String PROPERTY_FILE

  The name of the properties file

  See Also:
    Constant Field Values

Constructor Detail

### ExperimenterDefaults

    public ExperimenterDefaults()

Method Detail

### get

    public static java.lang.String get(java.lang.String property,
                                       java.lang.String defaultValue)

  returns the value for the specified property, if non-existent then the default value.

  Parameters:
    `property` - the property to retrieve the value for
    `defaultValue` - the default value for the property

### getProperties

    public static final java.util.Properties getProperties()

  returns the associated properties file

### getExtension

    public static final java.lang.String getExtension()

  returns the default experiment extension

### getDestination

    public static final java.lang.String getDestination()

  returns the default destination

### getExperimentType

    public static final java.lang.String getExperimentType()

  returns the default experiment type

### getUseClassification

    public static final boolean getUseClassification()

  whether classification or regression is used

### getFolds

    public static final int getFolds()

  returns the number of folds used for cross-validation

### getTrainPercentage

    public static final double getTrainPercentage()

  returns the training percentage in case of splits

### getRepetitions

    public static final int getRepetitions()

  returns the number of repetitions to use

### getDatasetsFirst

    public static final boolean getDatasetsFirst()

  whether datasets or algorithms are iterated first

### getInitialDatasetsDirectory

    public static final java.io.File getInitialDatasetsDirectory()

  returns the initial directory for the datasets (if empty, it returns the user's home directory)

### getUseRelativePaths

    public static final boolean getUseRelativePaths()

  whether relative paths are used by default

### getRow

    public static final java.lang.String getRow()

  the comma-separated list of attribute names that identify a row

### getColumn

    public static final java.lang.String getColumn()

  the comma-separated list of attribute names that identify a column

### getComparisonField

    public static final java.lang.String getComparisonField()

  returns the name of the field used for comparison

### getSignificance

    public static final double getSignificance()

  returns the default significance

### getShowStdDevs

    public static final boolean getShowStdDevs()

  returns whether StdDevs are shown by default

### getMeanPrecision

    public static final int getMeanPrecision()

  returns the default precision for the mean

### getStdDevPrecision

    public static final int getStdDevPrecision()

  returns the default precision for the stddevs

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD